Skip to content

List conversations for current user

GET
/api/conversations
curl --request GET \
--url 'https://api.getvespy.com/api/conversations?status=open&participantType=tenant' \
--header 'Authorization: Bearer <token>'
status
string
Allowed values: open closed archived
search
string
>= 1 characters <= 100 characters
participantType
string
Allowed values: tenant vendor
participantId
string format: uuid
limit
integer
>= 1 <= 100
offset
integer

Default Response

Media typeapplication/json
object
conversations
required
Array<object>
object
channels
required
Array<string>
Allowed values: in_app sms email
createdAt
required
string format: date-time
id
required
string format: uuid
lastMessageAt
required
string format: date-time
nullable
latestMessagePreview
required
string
nullable
organizationId
required
string format: uuid
participantEmail
required
string format: email
nullable
participantId
required
string format: uuid
participantName
required
string
>= 1 characters <= 160 characters
participantPhone
required
string
nullable
participantType
required
string
Allowed values: tenant vendor
status
required
string
Allowed values: open closed archived
subject
required
string
nullable
unreadCount
required
integer
updatedAt
required
string format: date-time
total
required
integer
unreadCount
required
integer
Example
{
"conversations": [
{
"channels": [
"in_app"
],
"participantType": "tenant",
"status": "open"
}
]
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}